]> arthur.barton.de Git - bup.git/blobdiff - cmd/memtest-cmd.py
rm: move core code to bup.rm module
[bup.git] / cmd / memtest-cmd.py
index 0e3cf0c839d6a86402685a8589a0e5c6acf5b1b9..c4c531e22928c5c95cf03f6d75adaa3a7edd1c96 100755 (executable)
@@ -1,10 +1,19 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
 import sys, re, struct, time, resource
+
 from bup import git, bloom, midx, options, _helpers
-from bup.helpers import *
+from bup.helpers import handle_ctrl_c
+
 
 handle_ctrl_c()
 
+
 _linux_warned = 0
 def linux_memstat():
     global _linux_warned
@@ -12,7 +21,7 @@ def linux_memstat():
     d = {}
     try:
         f = open('/proc/self/status')
-    except IOError, e:
+    except IOError as e:
         if not _linux_warned:
             log('Warning: %s\n' % e)
             _linux_warned = 1